using System;

namespace pikadoo
{
    class Program
    {
        void gadjanje(int p[], int br)
        {
            int* i;
            for (i = p; i < p + br; i++)
                scanf("%d", i)''
        }
        void zamena(int k, int p[], int br);
        {
           int i, j, brojac;
           for(i=;i<br-1;i++)
            {
               brojac=1;
               for(j=i+1;j<br;j++)
               {
                   if(p[i]==p[j])
                   {
                         br++;
                         if(k==br)
                         {
                            printf("%d",p[i]);
                            break;
                         }
                   }
               }
            }
        } 
        static void Main(string[] args)
        {
            int a[10], N, K;
            scanf("%d", &N);
            gadjanje(a, N);
            scanf("%d", &K);
            zamena(K, a, N);

            return 0;
        }
    }
}